Package com.microsoft.sqlserver.jdbc

# Interface ISQLServerSavepoint

All Superinterfaces:
  `Savepoint`, `Serializable`

All Known Implementing Classes:
  `SQLServerSavepoint`

public interface ISQLServerSavepoint extends Savepoint, Serializable
Provides an interface to the `SQLServerSavepoint` class.

## Method Summary

Modifier and Type
Method
Description
`String`
`getLabel()`
Returns the savepoint label
`String`
`getSavepointName()`
Returns the savepoint name
`boolean`
`isNamed()`
Returns if the savepoint label is null

### Methods inherited from interface java.sql.Savepoint

`getSavepointId`

## Method Details

### getSavepointName

String getSavepointName() throws SQLServerException
Returns the savepoint name

Specified by:
  `getSavepointName` in interface `Savepoint`
Returns:
  the name of savepoint
Throws:
  `SQLServerException`

### getLabel

String getLabel()
Returns the savepoint label

Returns:
  the label for Savepoint

### isNamed

boolean isNamed()
Returns if the savepoint label is null

Returns:
  true is the savepoint is named. Otherwise, false.